package provide mock_ns 1.7.2
namespace eval mock_ns {
    namespace export ns_config 
}

proc mock_ns::ns_config { args } {
    qc::args $args -bool -int -min minint -max maxint -exact -set -- section key {default ""}
    
    variable config
    
    if { [info exists config($section)] && [dict exists $config($section) $key] } {
        return [dict get $config($section) $key]
    } else {
        return ""
    }
}
