package provide mock_ns 1.7.2
namespace eval mock_ns {
    namespace export ns_info
}

proc mock_ns::ns_info { key } {
    variable config
    switch $key {
        name -
        server -
        pagedir -
        hostname {
            return $config($key)
        }
        nsd {
            return "/usr/lib/naviserver/bin/nsd"
        }
        default {
            error "Unsupported ns_info key \"$key\""
        }
    }
}
