package provide mock_ns 1.7.2
namespace eval mock_ns {
    namespace export ns_server
}

proc mock_ns::ns_server { args } {
    qc::args $args -server "" -pool "" -- args
    switch [lindex $args 0] {
        active -
        all -
        queued {
            return {}
        }        
        pagedir {
            return [ns_config "ns/server/[ns_info server]/fastpath" pagedir]
        }
        default {
            error "Unsupported ns_server key \"[lindex $args 0]\""
        }
    }
}
